%define cpanname Net-SNMP

Name:    perl-%{cpanname}
Version: 5.0.1
Release: 1.ker.rhel4
Summary: Net-SNMP Perl module - Object oriented interface to SNMP.
License: Distributable
Group:   Development/Libraries
Source0: %{cpanname}-%{version}.tar.gz
URL:     http://search.cpan.org/search?mode=module&query=%{cpanname}
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: perl-Crypt-DES

%description
The Net::SNMP module implements an object oriented interface to the Simple
Network Management Protocol. Perl applications can use the module to retrieve
or update information on a remote host using the SNMP protocol. The module
supports SNMP version-1, SNMP version-2c (Community-Based SNMPv2), and SNMP
version-3. The Net::SNMP module assumes that the user has a basic understanding
of the Simple Network Management Protocol and related network management
concepts.

%prep
%setup -q -n %{cpanname}-%{version} 

%build
echo | CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make
make test

%install

rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT/$installarchlib
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" | \
	grep -v perllocal.pod | \
	grep -v "\.packlist" > %{name}-%{version}-filelist
if [ "$(cat %{name}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc Changes README

%changelog
* Wed Mar 02 2005 Milan Kerslager <kerslage@linux.cz> 5.0.1-1.ker.rhel4
- new package for RHEL4
